Saltar al contenido
Guías
Pagos y finanzasVendedores
settings:update

Actualizar vendedor

Actualiza un vendedor existente.

PATCH/v1/sellers/{id}

Actualiza un vendedor existente.

Autorización

bearerAuth
AutorizaciónBearer <token>

Token de acceso OAuth 2.0 emitido por Ecomiq Auth.

Ubicación: header

Parámetros de ruta

id*string

Identificador único del recurso.

Parámetros de cabecera

Authorization*string

Token bearer OAuth 2.0.

Cuerpo de la solicitud

application/json

Definiciones TypeScript

Usa esta definición en TypeScript.

Cuerpo de la respuesta

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X PATCH "https://example.com/v1/sellers/7204558912004325301" \  -H "Authorization: Bearer <token>" \  -H "Content-Type: application/json" \  -d '{    "name": "Example resource",    "slug": "example-resource",    "description": "Example description.",    "phone": "+51987654321",    "emailNotification": "andrea@example.com",    "deliveryPolicy": "example",    "privacyAndSecurityPolicy": "example",    "commissionPercent": 1  }'
{  "id": "7204558912004325301",  "storeId": "7204558912004325301",  "name": "Example resource",  "slug": "example-resource",  "countryCode": "PE",  "currencyCode": "PEN",  "commissionPercent": 1,  "isInternal": false,  "catalogSettings": {    "publicationEnabled": false,    "productApprovalPolicy": "manualReview",    "promotionsEnabled": false  },  "shippingSettings": {    "shippingEnabled": false,    "shippingProfilesEnabled": false,    "fulfillmentMode": "marketplaceFulfilled",    "rateManagementMode": "marketplaceRates",    "allowedShippingMethods": [      "regular"    ],    "maxTransitDays": 1,    "minShippingRate": 1,    "maxShippingRate": 1  },  "legalInfo": {    "isVerified": false,    "isComplete": false,    "taxId": "7204558912004325301",    "businessLicense": "example",    "legalName": "Example resource",    "legalAddress": "example",    "contactPerson": "example",    "contactEmail": "andrea@example.com"  },  "billingInfo": {    "isComplete": false,    "accountHolder": "example",    "documentNumber": "example",    "bankName": "Example resource",    "accountType": "example",    "accountNumber": "example",    "interbankAccountNumber": "example"  },  "profile": {    "hasMedia": false,    "hasSocialLinks": false,    "logo": "example",    "banner": "example",    "avatar": "example",    "backgroundImage": "example",    "website": "example",    "facebook": "example"  },  "fulfillment": {    "offersShipping": false,    "offersPickup": false,    "offersDigitalDelivery": false,    "offersInstallation": false,    "hasAnyOption": false  },  "rating": {    "averageRating": 1,    "totalReviews": 1,    "fiveStars": 1,    "fourStars": 1,    "threeStars": 1,    "twoStars": 1,    "oneStar": 1,    "hasReviews": false  },  "status": "active",  "createdOn": "2026-08-01T15:30:00Z"}